%define anolis_release 1

Name:           file-roller
Version:        43.0
Release:        %{anolis_release}%{?dist}
Summary:        Tool for viewing and creating archives

License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/FileRoller
Source0:        https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libhandy-1)
BuildRequires:  pkgconfig(libnautilus-extension-4)
BuildRequires:  pkgconfig(libportal)
BuildRequires:  pkgconfig(libportal-gtk3)
BuildRequires:  file-devel
BuildRequires:  cpio
BuildRequires:  gettext
BuildRequires:  itstool
BuildRequires:  /usr/bin/desktop-file-validate
BuildRequires:  /usr/bin/appstream-util

%description
File Roller is an application for creating and viewing archives files,
such as tar or zip files.

%package nautilus
Summary: File Roller extension for nautilus
Requires: %{name} = %{version}-%{release}

%description nautilus
This package contains the file-roller extension for the nautilus file manager.
It adds an item to the nautilus context menu that lets you compress files
or directories.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install
%generate_compatibility_deps

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.FileRoller.desktop

%files -f %{name}.lang
%license COPYING
%{_bindir}/file-roller
%{_datadir}/file-roller
%{_datadir}/applications/org.gnome.FileRoller.desktop
%{_libexecdir}/file-roller
%{_datadir}/dbus-1/services/org.gnome.ArchiveManager1.service
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.FileRoller*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.FileRoller-symbolic.svg
%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml
%dir %{abidir}
%{abidir}/libnautilus-fileroller.dump

%files nautilus
%{_libdir}/nautilus/extensions-4/libnautilus-fileroller.so

%files doc
%doc README.md NEWS AUTHORS

%changelog
* Thu Mar 23 2023 happy_orange <songnannan@linux.alibaba.com> - 43.0-1
- init package from upstream
